0

I get this error when I try to update my Ubuntu 17.04. I already tried few solutions but nothing worked so far. I get these errors:

Reading package lists... Done
W: GPG error: http://archive.canonical.com/ubuntu precise Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 40976EAF437D05B5
W: The repository 'http://archive.canonical.com/ubuntu precise Release' is not signed.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: GPG error: http://extras.ubuntu.com/ubuntu precise Release: The following signatures were invalid: C47415DFF48C09645B78609416126D3A3E5C1192
W: The repository 'http://extras.ubuntu.com/ubuntu precise Release' is not signed.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: GPG error: http://us.archive.ubuntu.com/ubuntu precise-security InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 40976EAF437D05B5
W: The repository 'http://us.archive.ubuntu.com/ubuntu precise-security InRelease' is not signed.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: GPG error: http://us.archive.ubuntu.com/ubuntu precise-updates InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 40976EAF437D05B5
W: The repository 'http://us.archive.ubuntu.com/ubuntu precise-updates InRelease' is not signed.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: GPG error: http://us.archive.ubuntu.com/ubuntu precise-backports InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 40976EAF437D05B5
W: The repository 'http://us.archive.ubuntu.com/ubuntu precise-backports InRelease' is not signed.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
  • 1
    What exactly have you tried? – Kris Stadler Aug 22 '17 at 9:06
  • Does this help? – dessert Aug 22 '17 at 9:08
  • 3
    looks like you're trying to update from 12.04 (precise), which reach it's end of life the 28th April 2017, to 17.04 (zesty)? i'd suggest that you do 12.04 LTS -> 14.04 LTS -> 16.04 LTS -> 17.04, or better yet, a clean installation (which i'd guess would be less troublesome). upgrade notes: help.ubuntu.com/community/UpgradeNotes – mgor Aug 22 '17 at 9:09
  • What exactly did you do to provoke this output? What were you trying to achieve? I don't see any error messages by the way, just warning and notices. – David Foerster Aug 22 '17 at 9:23
  • finally i fixed the problem by edit ` /etc/apt/sources.list` I'm already use ubuntu 17.4 see salution :) @KrisStadler @David Foerster @mgor – Shroog Aug 22 '17 at 9:40
0

run this command to baukup ur sourses.list ..

sudo mv /etc/apt/sources.list /etc/apt/sources.list.bak

then go to this page Ubuntu Sources List Generator

then pickup ur country and ur release of ubuntu then Generate listafter that copy and past it after run this command sudo nano /etc/apt/sources.list

last command sudo apt-get update

Have fun !

Not the answer you're looking for? Browse other questions tagged or ask your own question.